--##FILE34
--##Inspects word position #4 for keywords; bins hits by habit; removes hits from source table; removes "bad" hits from bins.  "Bad" = keyword belongs to a prepositional predicate phrase. 


create table epi4to6 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3,5}[[:graph:]]*(sub|semi|hemi)*-?epi(f|ph)(i|y)';
alter table epi4to6 add index (recordID);
delete from NSet where recordID in (select recordID from epi4to6);



--prep removal
create table epi4prep select * from epi4to6 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){2}epi' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){2}epiphyti(s|c)';
delete from epi4to6 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){2}epi' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){2}epiphyti(s|c)';
insert into epi4prep select * from epi4to6 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){3}epi' and not description regexp 'and epiphytic';
delete from epi4to6 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){3}epi' and not description regexp 'and epiphytic';
insert into epi4prep select * from epi4to6 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1,2}epi' and not description regexp 'and epiphytic';
delete from epi4to6 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1,2}epi' and not description regexp 'and epiphytic';
insert into epi4prep select * from epi4to6 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){0,1}epi';
delete from epi4to6 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){0,1}epi';
insert into epi4prep select * from epi4to6 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(al|segun|sobre|partir|parte|desde|(en)?cima|en|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){3}';
delete from  epi4to6 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(al|segun|sobre|partir|parte|desde|(en)?cima|en|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){3}';



--LIAN

create table lian4 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}([[:punct:]]*lian|[[:graph:]]*cipo|[[:graph:]]*bejuc)'; alter table lian4 add index (recordID);
delete from NSet where recordID in (select recordID from lian4);
--prep removal
create table  lian4prep select * from lian4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+([[:alpha:]"\'\-\*]+[ \t]+){1,3}';
delete from lian4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+([[:alpha:]"\'\-\*]+[ \t]+){1,3}';

insert into lian4prep select * from lian4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+([[:alpha:]"\'\-\*]+[ \t]+){1}';
delete from lian4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+([[:alpha:]"\'\-\*]+[ \t]+){1}';



--FERN
/*
create table fern4 select * from tree3 where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]]*(citrus|semi|sub)*-?tree(let)?[ \t]+fern';
delete from tree3 where recordID in (select recordID from fern4);
insert into fern4 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}[[:punct:]0-9]*((tree)?-?fern([[:>:]]|s)|helech)';
delete from NSet where recordID in (select recordID from fern4);


--prep removal
create table fern4prep select * from fern4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(al?|segun|sobre|partir|parte|desde|(en)?cima|en|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+([[:alpha:]"\'\-\*]+[ \t]+){2}helec';
delete from fern4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(al?|segun|sobre|partir|parte|desde|(en)?cima|en|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+([[:alpha:]"\'\-\*]+[ \t]+){2}helec';
insert into fern4prep select * from fern4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){2}';
delete from fern4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){2}';
insert into fern4prep select * from fern4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1}' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+other fern';
delete from fern4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1}' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+other fern';
insert into fern4prep select * from fern4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1}' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+';
delete  from fern4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1}';


*/










--VINE
--prep removal









--grass

create table grass4  select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}([[:punct:]0-9]*(grama|pasto|capim|graminoid|bamb(u|o))|[[:graph:]]*(grass|cesped|tussock|cespitosa|graminea)((es)|s)?[[:>:]])' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}[[:punct:]0-9]*bambucea';
alter table grass4 add index (recordID);
delete from NSet where recordID in (select recordID from grass4);



--prep removal


insert into grass3prep select * from grass4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*((n|pe)((o|a)?s?)|por|a(o|s)?debaixo|e|junto|atraves|sob(re?)|(a)?cerca|dentro|desde|com|entre|(pert|lad)o|proximo|cima|apesar|meio|partir)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1}';
delete  from grass4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*((n|pe)((o|a)?s?)|por|a(o|s)?debaixo|e|junto|atraves|sob(re?)|(a)?cerca|dentro|desde|com|entre|(pert|lad)o|proximo|cima|apesar|meio|partir)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1}';
create table grass4prep select * from grass4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){2}';
delete  from grass4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){2}';
insert into grass4prep select * from grass4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1}';
delete from grass4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){1}';
insert into grass4prep select * from grass4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+';
delete  from grass4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|with(out)?)[ \t]+';
insert into grass4prep select * from grass4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*(al?|segun|sobre|partir|parte|desde|(en)?cima|en|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){0,}';
delete  from grass4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*(al?|segun|sobre|partir|parte|desde|(en)?cima|en|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){0,}';




--erva
--none!!!




--moss






--hydro




--HERB
create table herb4 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}[[:graph:]]*herb(a|e|s)?c?' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}[[:graph:]]*herba(r|z)'  union select  * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}([[:<:]](hierb|yerba|kraut|forb)|[[:punct:]0-9]*(staude|geo(f|p)|liver|hepatic))';


alter table herb4 add index (recordID);
delete from NSet where recordID in (select recordID from herb4);



--prep removal
create table herb4prep select * from herb4 where  description regexp '^[ \t]*[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){2}';
delete  from herb4 where  description regexp '^[ \t]*[[:punct:]0-9]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|with(out)?)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){2}';
insert into herb4prep select * from herb4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(al|segun|sobre|partir|parte|desde|(en)?cima|en|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){2}';
delete from herb4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}[[:punct:]0-9]*(al|segun|sobre|partir|parte|desde|(en)?cima|en|dentro|(a|de)?bajo|lado|junto|cerca|entre|medio|de|traves|para)[ \t]+([[:alpha:]\'\-\*]+[ \t]+){2}';





--PARASIT




--SUFF
create table suff4 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}[[:punct:]0-9]*suf+ruc?t(e|i)'; alter table suff4 add index (recordID);
alter table suff4 add index (recordID);
delete from NSet where recordID in (select recordID from suff4);

--CLIMBER
 create table climber4 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}([[:graph:]]*-?(creep|climb)er|grimpante|plante rampante|[[:graph:]]*-?(trepad(o|ei)r|endredadera))' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}[[:graph:]]*arbusto-(trepador|endredadera)|trepadores'; alter table climber4 add index (recordID);
alter table climber4 add index (recordID);
delete from NSet where recordID in (select recordID from climber4);


--TREE



create table tree4 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}[[:graph:]]*(palm(i|e|a)?(e|i)?(r|t)?|baum(ch|e|[[:>:]])|boom)' and not description regexp  '^[ \t]*([[:graph:]]+[ \t]+){3}[[:graph:]]*palmar' UNION select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}[[:punct:]0-9]*((citrus|semi|sub)*-?tree(let)?|arbre[[:>:]])' UNION select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}[[:punct:]0-9]*arbol' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}[[:punct:]0-9]*arbol(e|a)d(o|a)' UNION select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}[[:punct:]0-9]*([[:<:]]arvore[[:>:]]|sapling|retono)';

alter table tree4 add index (recordID);
delete from NSet where recordID in (select recordID from tree4);







--prep removal
create table tree4prep select * from tree4  where  description regexp '^[ \t]*[[:punct:]]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|climbing|with(out)?)[ \t]+([[:graph:]]+[ \t]+){2}[[:graph:]]*((sub|citrus|semi)*-?tree|sapling|palm(e|a|i)?t?)';
alter table tree4prep add index (recordID);
delete from tree4 where recordID in (select recordID from tree4prep);
insert into tree4prep select * from tree4  where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}[[:punct:]]*(on|in(to)?|under|beneath|beside|among(st)?|between|through|over|from|(on top )?of|next to|by|near|opposite|along(side)?|amid|up|climbing|with(out)?)[ \t]+([[:graph:]]+[ \t]+){1}[[:graph:]]*((sub|citrus|semi)*-?tree|sapling|palm(e|a|i)?t?)';
delete from tree4 where recordID in (select recordID from tree4prep);
insert into tree4prep select * from tree4  where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}[[:punct:]]*(on|in(to)?|under|beneath|beside|among(st)?|between|through|over|from|(on top )?of|(next )?to|by|near|opposite|along(side)?|amid|up|climbing|with(out)?)[ \t]+[[:graph:]]*((sub|citrus|semi)*-?tree|sapling|palm(e|a|i)?t?)';
delete from tree4 where recordID in (select recordID from tree4prep);
insert into tree4prep select * from tree4 where  description regexp '^[ \t]*(al?|segun|sobre|partir|parte|desde|(en)?(cima)?|dentro|(a|de)?bajo|lado|junto|cerca|entre|del?|medio|traves|para)[ \t]+([[:graph:]]+[ \t]+){2}[[:punct:]0-9]*arbol';
delete from tree4 where recordID in (select recordID from tree4prep);
insert into tree4prep select * from tree4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}(al?|segun|sobre|partir|parte|desde|(en)?(cima)?|dentro|(a|de)?bajo|lado|junto|cerca|entre|del?|medio|traves|para)[ \t]+([[:graph:]]+[[:alpha:]"\'-]*[ \t]+){2}([[:punct:]0-9]*arbol|[[:graph:]]*(palm(i|e|a)?(r|t)?|retono))';
delete from tree4 where recordID in (select recordID from tree4prep);
insert into tree4prep select * from tree4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}(al?|segun|sobre|partir|parte|desde|(en)?(cima)?|dentro|(a|de)?bajo|lado|junto|cerca|entre|del?|medio|traves|para)[ \t]+([[:graph:]]+[ \t]+){1}([[:punct:]0-9]*arbol|[[:graph:]]*(palm(i|e|a)?(r|t)?|retono))' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}(al?|segun|sobre|partir|parte|desde|(en)?(cima)?|dentro|(a|de)?bajo|lado|junto|cerca|entre|del?|medio|traves|para)[ \t]+([[:graph:]]+[."]+[ \t]+){1}([[:punct:]0-9]*arbol|[[:graph:]]*(palm(i|e|a)?(r|t)?|retono))';
delete from tree4 where recordID in (select recordID from tree4prep);
insert into tree4prep select * from tree4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}(al?|segun|sobre|partir|parte|desde|(en)?(cima)?|dentro|(a|de)?bajo|lado|junto|cerca|entre|del?|medio|traves|para)[ \t]+([[:graph:]]+[ \t]+){0}([[:punct:]0-9]*arbol|[[:graph:]]*(palm(i|e|a)?(r|t)?|retono))' ;
delete from tree4 where recordID in (select recordID from tree4prep);
insert into tree4prep select *  from tree4 where description regexp '^[ \t]*([[:graph:]]+[ \t]+){0}(i(n|m)|seit|auf|zur?|mit|unter|neben|zwischen|nah|bei|der|a(n|u))[ \t]+([[:graph:]]+[ \t]+){2}[[:graph:]]*baum';
delete from tree4 where recordID in (select recordID from tree4prep);
insert into tree4prep select *  from tree4 where description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}(i(n|m)|seit|auf|zur?|mit|unter|neben|zwischen|nah|bei|der|a(n|u))[ \t]+([[:graph:]]+[ \t]+){1}[[:graph:]]*baum';
delete from tree4 where recordID in (select recordID from tree4prep);
insert into tree4prep select *  from tree4 where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}(i(n|m)|seit|auf|zur?|mit|unter|neben|zwischen|nah|bei|der|a(n|u))[ \t]+([[:graph:]]+[ \t]+){0}[[:graph:]]*baum';
delete from tree4 where recordID in (select recordID from tree4prep);
insert into tree4prep select * from tree4 where description regexp '^[ \t]*(d(e|(o|a)?s?)|(n|pe)((o|a)?s?)|por|a(o|s)?debaixo|e|junto|atraves|sob(re?)|(a)?cerca|dentro|desde|com|entre|(pert|lad)o|proximo|cima|apesar|meio|partir)[ \t]+([[:graph:]]+[ \t]+){2}([[:punct:]]*[[:<:]]arvore[[:>:]]|[[:graph:]]*palm(i|e|a)?(e|i)?(r|t)?)';
delete from tree4 where recordID in (select recordID from tree4prep);
insert into tree4prep  select * from tree4 where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}(d(e|(o|a)?s?)|(n|pe)((o|a)?s?)|por|a(o|s)?debaixo|e|junto|atraves|sob(re?)|(a)?cerca|dentro|desde|com|entre|(pert|lad)o|proximo|cima|apesar|meio|partir)[ \t]+([[:graph:]]+[ \t]+){0}([[:punct:]]*[[:<:]]arvore[[:>:]]|[[:graph:]]*palm(i|e|a)?(e|i)?(r|t)?)';
delete from tree4 where recordID in (select recordID from tree4prep);



--SHRUB

create table shrub4 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}([[:graph:]]*(shrub|arbrisseau|frijolillo|frutex)|(citrus|ranken|halb)*-?strauch|arvoreta|subfrutic)'  or    (description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}[[:punct:]]*(semi|sub)*-?arb(o|u)st[aeiou]*(v|n|t|l|c|f)*' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){3}(arbustal|starbust)');

alter table shrub4 add index (recordID);
delete from NSet where recordID in (select recordID from shrub4);

--prep removal
create table  shrub4prep select * from shrub4 where  description regexp '^[ \t]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|next to|by|near|opposite|amid|(climb|creep|cling)ing)[ \t]+([[:graph:]]+[ \t]+){2}[[:graph:]]*shrub' and not description regexp '^[ \t]*(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|next to|by|near|opposite|amid|(climb|creep|cling)ing)[ \t]+([[:graph:]]+[.",;:]+[ \t]+[[:graph:]]+|([[:graph:]]+[ \t]+){1}[[:graph:]]+[.",;:]+)[ \t]+[[[:graph:]]*shrub';
alter table shrub4prep add index (recordID);
delete from shrub4 where recordID in (select recordID from shrub4prep);
insert into shrub4prep  select * from shrub4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|next to|by|near|opposite|amid|(climb|creep|cling)ing)[ \t]+([[:graph:]]+[ \t]+){1}[[:graph:]]*shrub' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|next to|by|near|opposite|amid|(climb|creep|cling)ing)[ \t]+[[:graph:]]+[.",;:]+[ \t]+[[:graph:]]*shrub';
delete from shrub4 where recordID in (select recordID from shrub4prep);
insert into shrub4prep select * from shrub4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}(on|in(to)?|under|beneath|beside|among(st)?|between|over|from|(on top )?of|next to|by|near|opposite|amid)[ \t]+([[:graph:]]+[ \t]+){0}[[:graph:]]*shrub';
delete from shrub4 where recordID in (select recordID from shrub4prep);
 insert into shrub4prep select * from shrub4 where  description regexp '^[ \t]*(al?|segun|sobre|partir|parte|desde|(en)?(cima)?|dentro|(a|de)?bajo|lado|junto|cerca|entre|del?|medio|traves|para)[ \t]+([[:graph:]]+[ \t]+){1}[[:alnum:]\'"\-]+[ \t]+([[:graph:]]*(frijolillo|frutex|subfrutic)|[[:punct:]]*(semi|sub)*-?arb(o|u)st[aeiou]*(v|n|t|l|c|f)*)';
delete from shrub4 where recordID in (select recordID from shrub4prep);
insert into shrub4prep select * from shrub4 where description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}(d(e|(o|a)?s?)|(n|pe)((o|a)?s?)|por|a(o|s)?debaixo|e|junto|atraves|sob(re?)|(a)?cerca|dentro|desde|com|entre|(pert|lad)o|proximo|cima|apesar|meio|partir)[ \t]+([[:graph:]]+[ \t]+){1}[[:punct:]]*(semi|sub)*-?arb(o|u)st[aeiou]*(v|n|t|l|c|f)*'and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){1}(d(e|(o|a)?s?)|(n|pe)((o|a)?s?)|por|a(o|s)?debaixo|e|junto|atraves|sob(re?)|(a)?cerca|dentro|desde|com|entre|(pert|lad)o|proximo|cima|apesar|meio|partir)[ \t]+([[:graph:]]+[.",;:]+[ \t]+){1}[[:punct:]]*(semi|sub)*-?arb(o|u)st[aeiou]*(v|n|t|l|c|f)*';
delete from shrub4 where recordID in (select recordID from shrub4prep);
insert into shrub4prep select * from shrub4 where description regexp '^[ \t]*([[:graph:]]+[ \t]+){2}(d(e|(o|a)?s?)|(n|pe)((o|a)?s?)|por|a(o|s)?debaixo|e|junto|atraves|sob(re?)|(a)?cerca|dentro|desde|com|entre|(pert|lad)o|proximo|cima|apesar|meio|partir)[ \t]+([[:graph:]]+[ \t]+){0}[[:punct:]]*(semi|sub)*-?arb(o|u)st[aeiou]*(v|n|t|l|c|f)*';
delete from shrub4 where recordID in (select recordID from shrub4prep);
insert into shrub4prep select * from shrub4 where  description regexp '^[ \t]*([[:graph:]]+[ \t]+){0,3}with' and not description regexp '^[ \t]*([[:graph:]]+[ \t]+){0,3}within';
delete from shrub4 where recordID in (select recordID from shrub4prep);



--FERN5
/*
create table fern5 select * from tree4 where description regexp 'tree fern';
alter table fern5 add index (recordID);
delete from tree4  where recordID in (select recordID from fern5);
insert into fern5 select * from NSet where description regexp '^[ \t]*([[:graph:]]+[ \t]+){4}[[:punct:]0-9]*((tree)?-?fern([[:>:]]|s)|helech)';
delete from NSet where recordID in (select recordID from fern5);
*/
